=== debian/control ===
Source: libhamcrest1.2-java
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Michael Koch <konqueror@gmx.de>,
 Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: cdbs, debhelper (>= 7), ant, default-jdk, maven-repo-helper
Build-Depends-Indep: libqdox-java, libeasymock-java, libjmock-java, libjarjar-java,
 default-jdk-doc, junit-doc, junit4-doc, junit, junit4, testng
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/hamcrest/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libhamcrest-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libhamcrest-java

Package: libhamcrest1.2-java
Architecture: all
Depends: ${misc:Depends}
Description: library of matchers for building test expressions
 Provides a library of matcher objects (also known as constraints or
 predicates) allowing 'match' rules to be defined declaratively, to be
 used in other frameworks. Typical scenarios include testing
 frameworks, mocking libraries and UI validation rules.

Package: libhamcrest1.2-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: default-jdk-doc, junit-doc, junit4-doc
Suggests: libhamcrest-java
Description: library of matchers for building test expressions - documentation
 Provides a library of matcher objects (also known as constraints or
 predicates) allowing 'match' rules to be defined declaratively, to be
 used in other frameworks. Typical scenarios include testing
 frameworks, mocking libraries and UI validation rules.
 .
 This package contains Javadoc API documentation of Hamcrest.
