=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk

JAVA_HOME		:= /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE	:= build.xml
DEB_ANT_BUILD_TARGET	:= core generator integration library javadoc
DEB_JARS		:= easymock jmock qdox
ANT_OPTS		:= -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 -Dversion=$(DEB_UPSTREAM_VERSION)
POMS                    := core generator integration library

DEST_DIR = $(DEB_DESTDIR)/usr/share/java

binary-post-install/libhamcrest1.2-java::
	# Add OSGi-metadata to the manifests.
	# This is needed for eclipse.
	for manifest in debian/manifest/*.mf ; do \
		base=`basename $$manifest .mf` ; \
		jar umf $$manifest build/hamcrest-$$base-*.jar ; \
	done
	for pom in $(POMS); do \
		pomfile=debian/poms/$$pom.xml; \
		mh_installpom -o -e$(DEB_UPSTREAM_VERSION) \
		-plibhamcrest1.2-java $$pomfile; \
		mh_installjar -s -l -e$(DEB_UPSTREAM_VERSION) -j$(DEB_UPSTREAM_VERSION) \
		-plibhamcrest1.2-java $$pomfile build/hamcrest-$$pom-$(DEB_UPSTREAM_VERSION).jar; \
	done
	#remove "debian" version as it will collide with default hamcrest package
	for LIBNAME in core generator integration library; do\
	  rm -rf $(CURDIR)/debian/libhamcrest1.2-java/usr/share/maven-repo/org/hamcrest/hamcrest-$$LIBNAME/debian;\
	done

clean::
	rm -fr debian/.mh/
	rm -f *.jar
	mkdir -p lib/integration

get-orig-source:
	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --debug --rename
